import * as React from 'react';
export var CardRadioGroupContext = /*#__PURE__*/React.createContext({
  required: false,
  disabled: false
});
export var useCardRadioGroupContext = function useCardRadioGroupContext() {
  var context = React.useContext(CardRadioGroupContext);

  if (!context) {
    throw new Error('Component must be used within a CardRadioGroup');
  }

  return context;
};